## Apache Zeta Components Manual :: Docs For Class ezcPersistentRelationFindDefinition

### PersistentObject::ezcPersistentRelationFindDefinition

### Class ezcPersistentRelationFindDefinition

Struct class representing a relation find definition.

This struct class is used in ezcPersistentSessionIdentityDecorator to define a tree of relations to be fetched from the database in one go. This struct is used with ezcPersistentSessionIdentityDecorator::loadWithRelatedObjects().

The $relatedClass referes to a class name that is related by the original class to load. If this relation consists of a collection of named relations, $relationName must be set in addition. The $furtherRelations property can be used to define further relations that related to $relatedClass.

Source for this file: /PersistentObject/src/structs/relation_find_definition.php

    ezcBaseStruct
       |
       --ezcPersistentRelationFindDefinition

Version: | //autogen//

### Member Variables

public ezcPersistentObjectDefinition | `$definition` Definition object for this $relatedClass. This attribute may not be accessed by the user, but is used by ezcPersistentSessionIdentityDecorator internally to transport information.
public array(ezcPersistentRelationFindDefinition) | `$furtherRelations = array()` Deeper relation definitions.
public string | `$relatedClass` The related class that should be fetched.
public ezcPersistentRelation | `$relationDefinition` Definition of the relation from its parent class. This attribute may not be accessed by the user, but is used by ezcPersistentSessionIdentityDecorator internally to transport information.
public string | `$relationName` The name of the relation. Must only be not null, if relations to this class is a collection of named relations.

### Method Summary

public ezcPersistentRelationFindDefinition | `__construct( $relatedClass , [ $relationName = null] , [ $furtherRelations = array()] )` Creates a new relation find definition.

### Methods

#### __construct

ezcPersistentRelationFindDefinition __construct( string $relatedClass , [string $relationName = null] , [ $furtherRelations = array()] )

Creates a new relation find definition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$relatedClass` | string |
`$relationName` | string |
`$furtherRelations` | array(ezcPersistentRelationFindDefinition) |

Documentation generated by phpDocumentor 1.4.3